Subject: Re: bug#71411: 30.0.50; Show Unicode names when describing translations

From: Robert Pluim <[email-masked]>
Date: Mon, 10 Jun 2024 11:03:07 +0200

>>>>> On Sat, 08 Jun 2024 16:24:08 +0300, Eli Zaretskii <[email-masked]> said:

    >> *** 'C-h k' ('describe-key') shows Unicode name.
    >> For keybindings which produce single characters via translation (such as
    >> those using the 'C-x 8' prefix), 'C-h k' now shows the Unicode name of
    >> the produced character in addition to the character itself, e.g.

    Eli> Are there any other cases of "translated characters", besides "C-x 8"?
    Eli> If so, please mention one or two more.  If there are no other
    Eli> examples, I'd remove "such as".

iso-transl.el is (almost) the only thing that uses
`key-translation-map' (the other is 'double.el', but thatʼs really
niche). I can mention the other prefixes.

-- >8 --
*** 'C-h k' ('describe-key') shows Unicode name.
For keybindings which produce single characters via translation (such as
those using the 'C-x 8' or 'A-' prefix, or 'dead-acute', 'dead-grave',
etc), 'C-h k' now shows the Unicode name of the produced character in
addition to the character itself, e.g.

'C-h k C-x 8 E' =>

    € 'EURO SIGN' (translated from C-x 8 E)

*** 'C-h b' ('describe-bindings') shows Unicode names.
For keybindings which produce single characters via translation, the
Unicode names will now be shown in addition to the character itself,
i.e.

    A-!			¡	INVERTED EXCLAMATION MARK
    A-$			¤	CURRENCY SIGN

and so on.
-- >8 --
Robert
--